#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/libksirtet
  ${CMAKE_SOURCE_DIR}/libksirtet
  ${CMAKE_SOURCE_DIR}/libksirtet/base
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


# FIXME: Add support for testing framework
#
# ##### check_score (test) ########################
#
# tde_add_executable( check_score AUTOMOC
#   SOURCES check_score.cpp
#   LINK tdecore-shared tdeui-shared tdeio-shared
# )
#
# add_test( NAME check_score-test
#   COMMAND check_score)
#

##### ksirtet (executable) ######################

tde_add_executable( ksirtet AUTOMOC
  SOURCES piece.cpp board.cpp ai.cpp field.cpp settings.cpp main.cpp
    prefs.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared ksirtetcommon-static
    tdecore-shared tdeui-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( ksirtet )


##### other data ################################

install( FILES ksirtetui.rc
  DESTINATION ${DATA_INSTALL_DIR}/ksirtet
)

tde_create_translated_desktop( ksirtet.desktop )

install( FILES ksirtet.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/ksirtet
  PO_DIR ksirtet-eventsrc
)
